Bug 502329 - [iwlagn] WiFi network died signal is strong though
[iwlagn] WiFi network died signal is strong though
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-23 20:41 EDT by Shawn Starr
Modified: 2011-04-20 02:43 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages with iwlagn options debug50=0x1 (708.28 KB, text/plain)
2009-08-31 14:18 EDT, Edouard Bourguignon
no flags Details

  None (edit)
Description Shawn Starr 2009-05-23 20:41:55 EDT
Description of problem:

iwlagn: Read index for DMA queue txq_id (2) index 8 is out of range [0-256] 78 76                                                         
iwlagn: Read index for DMA queue txq_id (2) index 9 is out of range [0-256] 78 76                                                         
iwlagn: Read index for DMA queue txq_id (2) index 10 is out of range [0-256] 78 76                                                        
iwlagn: Read index for DMA queue txq_id (2) index 11 is out of range [0-256] 78 76                                                        
iwlagn: Read index for DMA queue txq_id (2) index 12 is out of range [0-256] 78 76                                                        
iwlagn: Read index for DMA queue txq_id (2) index 13 is out of range [0-256] 78 76                                                        
wlan0: No ProbeResp from current AP aa:bb:cc:dd:ee:ff - assume out of range                                                               
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_RXON: time out after 500ms.                                                                                   
iwlagn: Error setting new RXON (-110)                                                                                                     
wlan0: direct probe to AP aa:bb:cc:dd:ee:ff try 1                                                                                         
wlan0: direct probe to AP aa:bb:cc:dd:ee:ff try 2                                                                                         
wlan0: direct probe to AP aa:bb:cc:dd:ee:ff try 3                                                                                         
wlan0: direct probe to AP aa:bb:cc:dd:ee:ff timed out                                                                                     
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_SCAN_CMD: time out after 500ms.                                                                               
iwlagn: Error sending REPLY_CARD_STATE_CMD: time out after 500ms.                                                                         

Version-Release number of selected component (if applicable):
2.6.29.3-155.fc11.x86_64

How reproducible:
First time it happened.. laptop is new too

Steps to Reproduce:
1. Use network..
  
Actual results:
Network dropped

Expected results:
Shouldn't fail with such strong signal

Additional info:
None to give
Comment 1 Shawn Starr 2009-05-23 20:42:42 EDT
aa:bb:cc:dd:ee:ff is real, I configured my router to mask the real MAC.. not a bug
Comment 2 Bug Zapper 2009-06-09 12:27:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 John W. Linville 2009-06-19 22:48:48 EDT
Any chance you could replicate this with a 2.6.30 kernel from rawhide?
Comment 4 Shawn Starr 2009-06-19 23:40:11 EDT
Currently in 2.6.30-6.fc12.x86_64

.31 just hit rawhide, I haven't reproduced this so far .. yet.
Comment 5 Shawn Starr 2009-06-21 23:43:37 EDT
[32158.907213] iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting 0x2000000.
[32159.543137] Registered led device: iwl-phy0::radio
[32159.543172] Registered led device: iwl-phy0::assoc
[32159.543204] Registered led device: iwl-phy0::RX
[32159.543239] Registered led device: iwl-phy0::TX
[32220.319121] iwlagn 0000:03:00.0: Radio Frequency Kill Switch is On:
[32220.319124] Kill switch must be turned off for wireless networking to work.
[32220.878320] wlan0: disassociating by local choice (reason=3)
[32220.881089] mac80211-phy0: failed to remove key (0, aa:bb:cc:dd:ee:ff) from hardware (-22)
[32220.885906] iwlagn 0000:03:00.0: Error sending REPLY_RXON: enqueue_hcmd failed: -5
[32220.885918] iwlagn 0000:03:00.0: Error setting new RXON (-5)
[32220.885938] wlan0: direct probe to AP 00:13:f7:bc:d1:18 try 1
[32221.086089] wlan0: direct probe to AP 00:13:f7:bc:d1:18 try 2
[32221.286053] wlan0: direct probe to AP 00:13:f7:bc:d1:18 try 3
[32221.340075] wlan0: deauthenticating by local choice (reason=3)
[32227.619840] Registered led device: iwl-phy0::radio
[32227.619875] Registered led device: iwl-phy0::assoc
[32227.619906] Registered led device: iwl-phy0::RX
[32227.619937] Registered led device: iwl-phy0::TX
[32227.627402] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[spstarr@segfault ~]$ uname -a
Linux segfault 2.6.30-6.fc12.x86_64 #1 SMP Fri Jun 12 11:36:05 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux


Triggered it while rsyncing a lot of files over wireless. To fix it i use the kill switch on laptop and it reconnects
Comment 6 reinette chatre 2009-06-22 12:42:44 EDT
(In reply to comment #5)
> [32158.907213] iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting
> 0x2000000.


This indicates a ucode error. Could you please follow http://www.intellinuxwireless.org/?n=fw_error_report to provide us the firmware error logs?
Comment 7 John W. Linville 2009-07-22 13:33:29 EDT
Closed due to lack of response...
Comment 8 Shawn Starr 2009-07-22 14:35:19 EDT
Don't close, I have had to drop back to Fedora 11, Rawhide destroyed 2 machines of mine (dont ask ;-)

Let me try to get this information to you, as this has occurred in F11 kernels.
Comment 9 Shawn Starr 2009-07-22 14:43:17 EDT
I have added debug flags to modprobe so the driver now has debugging on. When it next crashes I will provide an update of the dmesg / message log info.
Comment 10 John W. Linville 2009-08-18 11:38:45 EDT
Ping?
Comment 11 Shawn Starr 2009-08-18 11:54:03 EDT
I switched to kernel 2.6.30.4-25.fc11.x86_64, I will update if i trigger this. I only switched 2009-08-12.
Comment 12 Edouard Bourguignon 2009-08-29 06:00:21 EDT
kvm: emulating exchange as write
CE: hpet increasing min_delta_ns to 22500 nsec
CE: hpet increasing min_delta_ns to 33750 nsec
HW problem - can not stop rx aggregation for tid 0
mac80211-phy0: failed to remove key (0, 72:6a:85:4b:42:8c) from hardware (-16)
wlan0: deauthenticating by local choice (reason=3)
mac80211-phy0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-16)
iwlagn 0000:02:00.0: PCI INT A disabled
lib80211_crypt: unregistered algorithm 'NULL'
cfg80211: Calling CRDA to update world regulatory domain


Same problem here
kernel 2.6.29.6-217.2.16.fc11.x86_64

02:00.0 Network controller: Intel Corporation Wireless WiFi Link 5100
	Subsystem: Intel Corporation Device 1201
	Flags: bus master, fast devsel, latency 0, IRQ 30
	Memory at f3000000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: [c8] Power Management version 3
	Capabilities: [d0] MSI: Enable+ Count=1/1 Maskable- 64bit+
	Capabilities: [e0] Express Endpoint, MSI 00
	Capabilities: [100] Advanced Error Reporting
	Capabilities: [140] Device Serial Number 00-16-ea-ff-ff-48-3e-44
	Kernel driver in use: iwlagn
	Kernel modules: iwlagn

In fact wifi is not really useable, difficult to associate, copying files over network is slow, connections get lost etc. AP is on TKIP+AES. Will try to put the driver in debug mode too. How can I help?
Comment 13 Edouard Bourguignon 2009-08-31 14:18:21 EDT
Created attachment 359304 [details]
/var/log/messages with iwlagn options debug50=0x1

I bought once a ralink chipset because I thought that it should be great to have an open-source driver. Results: it's not working since f8. Now I have switched on intel and it's not working too :( I'm doomed. Is there a good wifi that works out of the box?

Here is my /var/log/messages with debug option on. Hopes it will help.
Comment 14 Edouard Bourguignon 2009-09-06 05:18:20 EDT
I can use wifi to browse the internet now if I set swcrypto50 to 1. Haven't try file transfer yet.
Comment 15 Edouard Bourguignon 2009-09-19 06:28:35 EDT
had a crash today, hope it will help to debug wifi and make it works:

iwlagn 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
iwlagn 0000:02:00.0: setting latency timer to 64
iwlagn 0000:02:00.0: Detected Intel Wireless WiFi Link 5100AGN REV=0x54
iwlagn 0000:02:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
iwlagn 0000:02:00.0: irq 30 for MSI/MSI-X
phy0: Selected rate control algorithm 'iwl-agn-rs'
cfg80211: Calling CRDA for country: FR
cfg80211: Regulatory domain changed to country: FR
	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
	(2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
	(5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
	(5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
	(5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
iwlagn 0000:02:00.0: firmware: requesting iwlwifi-5000-2.ucode
iwlagn 0000:02:00.0: loaded firmware version 8.24.2.12
Registered led device: iwl-phy0::radio
Registered led device: iwl-phy0::assoc
Registered led device: iwl-phy0::RX
Registered led device: iwl-phy0::TX
ADDRCONF(NETDEV_UP): wlan0: link is not ready
wlan0: authenticate with AP 72:6a:85:4b:42:8c
wlan0: authenticate with AP 72:6a:85:4b:42:8c
wlan0: authenticated
wlan0: associate with AP 72:6a:85:4b:42:8c
wlan0: RX AssocResp from 72:6a:85:4b:42:8c (capab=0x411 status=0 aid=3)
wlan0: associated
ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
iwlagn 0000:02:00.0: iwl_tx_agg_start on ra = 72:6a:85:4b:42:8c tid = 0
iwlagn 0000:02:00.0: HW queue is empty
CE: hpet increasing min_delta_ns to 75936 nsec
iwlagn 0000:02:00.0: iwl_tx_agg_start on ra = 72:6a:85:4b:42:8c tid = 6
iwlagn 0000:02:00.0: HW queue is empty
wlan0: deauthenticating by local choice (reason=3)
mac80211-phy0: failed to remove key (0, 72:6a:85:4b:42:8c) from hardware (-16)
mac80211-phy0: failed to remove key (1, ff:ff:ff:ff:ff:ff) from hardware (-16)
iwlagn 0000:02:00.0: PCI INT A disabled
lib80211_crypt: unregistered algorithm 'NULL'
cfg80211: Calling CRDA to update world regulatory domain
lib80211: common routines for IEEE802.11 drivers
lib80211_crypt: registered algorithm 'NULL'
cfg80211: World regulatory domain updated:
	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
	(2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
	(2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
	(2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
	(5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
	(5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
iwlagn: Intel(R) Wireless WiFi Link AGN driver for Linux, 1.3.27kds
iwlagn: Copyright(c) 2003-2009 Intel Corporation
iwlagn 0000:02:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
iwlagn 0000:02:00.0: setting latency timer to 64
iwlagn 0000:02:00.0: Detected Intel Wireless WiFi Link 5100AGN REV=0x54
iwlagn 0000:02:00.0: Tunable channels: 13 802.11bg, 24 802.11a channels
iwlagn 0000:02:00.0: irq 30 for MSI/MSI-X
phy0: Selected rate control algorithm 'iwl-agn-rs'
cfg80211: Calling CRDA for country: FR
cfg80211: Regulatory domain changed to country: FR
	(start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
	(2402000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm)
	(5170000 KHz - 5250000 KHz @ 40000 KHz), (N/A, 2000 mBm)
	(5250000 KHz - 5330000 KHz @ 40000 KHz), (N/A, 2000 mBm)
	(5490000 KHz - 5710000 KHz @ 40000 KHz), (N/A, 2700 mBm)
iwlagn 0000:02:00.0: firmware: requesting iwlwifi-5000-2.ucode
iwlagn 0000:02:00.0: loaded firmware version 8.24.2.12
NetworkManager: page allocation failure. order:4, mode:0x40d0
Pid: 1652, comm: NetworkManager Tainted: P           2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 [<ffffffff810da7f0>] __alloc_pages_internal+0x434/0x468
 [<ffffffff81101ec2>] alloc_pages_current+0xca/0xe9
 [<ffffffffa0f2e456>] ? iwl_tx_queue_init+0x59/0x26d [iwlcore]
 [<ffffffff810d8a51>] __get_free_pages+0x26/0x75
 [<ffffffffa0f2e4a0>] iwl_tx_queue_init+0xa3/0x26d [iwlcore]
 [<ffffffffa0f2e9bb>] iwl_txq_ctx_reset+0x1b6/0x250 [iwlcore]
 [<ffffffffa0f25e34>] iwl_hw_nic_init+0x13b/0x168 [iwlcore]
 [<ffffffffa0f568db>] __iwl_up+0x381/0x3a0 [iwlagn]
 [<ffffffffa0f57723>] iwl_mac_start+0xe29/0x10ad [iwlagn]
 [<ffffffffa0ef47e6>] ieee80211_open+0x29b/0x726 [mac80211]
 [<ffffffff8105d918>] ? _local_bh_enable_ip+0xe7/0x109
 [<ffffffff8105d95b>] ? local_bh_enable_ip+0x21/0x37
 [<ffffffff813e3d15>] dev_open+0x8c/0xde
 [<ffffffff813e360a>] dev_change_flags+0xbc/0x193
 [<ffffffff813ede9f>] do_setlink+0x29d/0x382
 [<ffffffff813ee097>] rtnl_setlink+0x113/0x126
 [<ffffffff813ed7cb>] rtnetlink_rcv_msg+0x1d5/0x206
 [<ffffffff814020fc>] ? netlink_sendmsg+0x194/0x2b1
 [<ffffffff813ed5f6>] ? rtnetlink_rcv_msg+0x0/0x206
 [<ffffffff81402432>] netlink_rcv_skb+0x52/0xbc
 [<ffffffff813ed5db>] rtnetlink_rcv+0x35/0x50
 [<ffffffff81401eeb>] netlink_unicast+0xfa/0x177
 [<ffffffff814021f6>] netlink_sendmsg+0x28e/0x2b1
 [<ffffffff813cf4c8>] __sock_sendmsg+0x70/0x8f
 [<ffffffff813cfe91>] sock_sendmsg+0xdb/0x108
 [<ffffffff813cfd13>] ? sock_recvmsg+0xde/0x10b
 [<ffffffff81070b57>] ? autoremove_wake_function+0x0/0x5f
 [<ffffffff813dad84>] ? verify_iovec+0x60/0xb4
 [<ffffffff813d00df>] sys_sendmsg+0x221/0x2a5
 [<ffffffff81116228>] ? __fput+0x1a0/0x1c3
 [<ffffffff8111e5b2>] ? path_put+0x31/0x4c
 [<ffffffff810a6d10>] ? audit_syscall_entry+0x12d/0x16d
 [<ffffffff8149869c>] ? trace_hardirqs_on_thunk+0x3a/0x3c
 [<ffffffff81012082>] system_call_fastpath+0x16/0x1b
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:557832 active_file:11515 inactive_anon:140645
 inactive_file:11712 unevictable:2 dirty:20 writeback:0 unstable:0
 free:4757 slab:11233 mapped:14113 pagetables:10957 bounce:0
Node 0 DMA free:7100kB min:8kB low:8kB high:12kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:5244kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 3009 3009 3009
Node 0 DMA32 free:11928kB min:7012kB low:8764kB high:10516kB active_anon:2231328kB inactive_anon:562580kB active_file:46060kB inactive_file:46848kB unevictable:8kB present:3081472kB pages_scanned:0 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 1*4kB 1*8kB 3*16kB 6*32kB 3*64kB 4*128kB 0*256kB 2*512kB 1*1024kB 0*2048kB 1*4096kB = 7100kB
Node 0 DMA32: 2000*4kB 271*8kB 5*16kB 1*32kB 0*64kB 1*128kB 0*256kB 1*512kB 1*1024kB 0*2048kB 0*4096kB = 11944kB
53627 total pagecache pages
27928 pages in swap cache
Swap cache stats: add 205502, delete 177574, find 33172/40236
Free swap  = 2511944kB
Total swap = 2996080kB
785749 pages RAM
21462 pages reserved
59944 pages shared
733080 pages non-shared
iwlagn 0000:02:00.0: kmalloc for auxiliary BD structures failed
iwlagn 0000:02:00.0: Tx 9 queue init failed
iwlagn 0000:02:00.0: Unable to init nic
------------[ cut here ]------------
WARNING: at drivers/net/wireless/iwlwifi/iwl-tx.c:1127 iwl_tx_cmd_complete+0x72/0x2e2 [iwlcore]() (Tainted: P          )
Hardware name: Q310                       
wrong command queue 0, sequence 0x0 readp=0 writep=0
Modules linked in: iwlagn iwlcore rfkill lib80211 mac80211 cfg80211 cryptd aes_x86_64 aes_generic fuse ipt_MASQUERADE iptable_nat nf_nat rfcomm bridge stp llc bnep sco l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath kvm_intel kvm uinput nvidia(P) arc4 ecb snd_hda_codec_realtek snd_hda_intel uvcvideo snd_hda_codec videodev snd_hwdep v4l1_compat snd_pcm v4l2_compat_ioctl32 video iTCO_wdt snd_timer btusb iTCO_vendor_support sky2 bluetooth snd soundcore i2c_i801 joydev output i2c_core snd_page_alloc serio_raw pcspkr [last unloaded: cfg80211]
Pid: 8065, comm: rsyslogd Tainted: P           2.6.30.5-43.fc11.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff81057104>] warn_slowpath_common+0x95/0xc3
 [<ffffffff810571bf>] warn_slowpath_fmt+0x50/0x66
 [<ffffffffa0f2d087>] iwl_tx_cmd_complete+0x72/0x2e2 [iwlcore]
 [<ffffffff8149869c>] ? trace_hardirqs_on_thunk+0x3a/0x3c
 [<ffffffffa0f52c57>] iwl_rx_handle+0x2c8/0x3b3 [iwlagn]
 [<ffffffff81012afd>] ? restore_args+0x0/0x30
 [<ffffffffa0f547bb>] ? __iwl_write32.clone.2+0xbc/0xdf [iwlagn]
 [<ffffffffa0f54d75>] iwl_irq_tasklet+0x4c8/0x6ff [iwlagn]
 [<ffffffffa0f26527>] ? iwl_isr+0x1e3/0x22c [iwlcore]
 [<ffffffff8105d12b>] tasklet_action+0x9f/0x11f
 [<ffffffff8105db54>] __do_softirq+0xd2/0x1d2
 [<ffffffff8101323c>] call_softirq+0x1c/0x30
 [<ffffffff81014ba3>] do_softirq+0x5f/0xd7
 [<ffffffff8105d633>] irq_exit+0x66/0xb7
 [<ffffffff814986d8>] ? trace_hardirqs_off_thunk+0x3a/0x6c
 [<ffffffff810143f8>] do_IRQ+0xc1/0xee
 [<ffffffff81012a93>] ret_from_intr+0x0/0x16
 <EOI> <4>---[ end trace 17ff65e420c56c64 ]---
iwlagn 0000:02:00.0: START_ALIVE timeout after 4000ms.
Comment 16 Stanislaw Gruszka 2009-09-23 09:16:26 EDT
Edouard, 

Your dmesg shows 3 different problems.  

1) mac80211-phy0: failed to remove key (0, 72:6a:85:4b:42:8c) from hardware (-16)

This should be fixed by  

commit b2ccb4dbe77eaebb6b286402c31b4e2b1155660f
Author: Abhijeet Kolekar <abhijeet.kolekar@intel.com>
Date:   Fri Aug 21 13:34:24 2009 -0700

    iwlwifi: fix remove key error

This fix is in current linus tree. I guess we need backport this patch to -stable (2.6.30, 2.6.31). Could you test if this patch fix something for you.

2) iwlagn 0000:02:00.0: kmalloc for auxiliary BD structures failed

Memory allocation problems. We have currently some discussion about allocations on linux-wireless ML, but here it seams to be something different, I have to think about it.

3) WARNING: at drivers/net/wireless/iwlwifi/iwl-tx.c:1127

We have separate bug report about this here:

https://bugzilla.redhat.com/show_bug.cgi?id=523075

Please CC yourself there. Soon I probably will be asking about more info, but first I have to investing this issue a bit.
Comment 17 Stanislaw Gruszka 2009-09-23 09:17:56 EDT
Shawn, 

can you still reproduce your original problem on current F-11 kernel (2.6.30.5-43) ?
Comment 18 reinette chatre 2009-09-24 01:01:56 EDT
(In reply to comment #16)
> 
> 1) mac80211-phy0: failed to remove key (0, 72:6a:85:4b:42:8c) from hardware
> (-16)
> 
> This should be fixed by  
> 
> commit b2ccb4dbe77eaebb6b286402c31b4e2b1155660f
> Author: Abhijeet Kolekar <abhijeet.kolekar@intel.com>
> Date:   Fri Aug 21 13:34:24 2009 -0700
> 
>     iwlwifi: fix remove key error
> 
> This fix is in current linus tree. I guess we need backport this patch to
> -stable (2.6.30, 2.6.31). Could you test if this patch fix something for you.
> 

We had to revert this fix because it introduced a sleep while holding a spinlock. Please see http://thread.gmane.org/gmane.linux.kernel.wireless.general/39718/focus=39729

This message is not a serious problem though. What you are seeing is mac80211 requesting a key to be removed at the time the device is pending an exit. Because the device is already exiting the key removal fails. Since the device is already exiting, and ucode will be unloaded, the key will be removed. 

We reverted this fix for the problem you encounter, but do not have a new fix available for it,
Comment 19 James M. Leddy 2009-12-23 01:38:13 EST
I think I got a similar issue with 2.6.31.6-162. Which kernel has this fix?

I didn't see any "failed to remove key" messages.

Linux xavier 2.6.31.6-162.fc12.x86_64 #1 SMP Fri Dec 4 00:06:26 EST 2009 x86_64 x86_64 x86_64 GNU/Linux


------------[ cut here ]------------
WARNING: at drivers/net/wireless/iwlwifi/iwl-tx.c:1111 iwl_tx_cmd_complete+0x63/0x2bf [iwlcore]() (Not tainted)
Hardware name: 4057W7N
wrong command queue 0, sequence 0x0 readp=0 writep=0
Modules linked in: tun cryptd aes_x86_64 aes_generic fuse rfcomm sco bridge stp llc bnep l2cap sunrpc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput arc4 ecb snd_hda_codec_conexant uvcvideo videodev v4l1_compat v4l2_compat_ioctl32 snd_hda_intel i2c_i801 snd_hda_codec snd_hwdep snd_seq snd_seq_device iwlagn iwlcore snd_pcm btusb thinkpad_acpi bluetooth wmi iTCO_wdt iTCO_vendor_support mac80211 cfg80211 rfkill joydev snd_timer snd soundcore snd_page_alloc e1000e nilfs2 i915 drm_kms_helper drm i2c_algo_bit i2c_core video output [last unloaded: microcode]
Pid: 856, comm: segctord Not tainted 2.6.31.6-162.fc12.x86_64 #1
Call Trace:
 <IRQ>  [<ffffffff810516f4>] warn_slowpath_common+0x84/0x9c
 [<ffffffff81051763>] warn_slowpath_fmt+0x41/0x43
 [<ffffffff811e8ed2>] ? blk_run_queue+0x35/0x3a
 [<ffffffffa01c93f6>] iwl_tx_cmd_complete+0x63/0x2bf [iwlcore]
 [<ffffffff812b7f1e>] ? __scsi_put_command+0x70/0x7d
 [<ffffffffa01ec6a5>] iwl_rx_handle+0x2c6/0x3a7 [iwlagn]
 [<ffffffffa01ed4fb>] ? __iwl_write32.clone.2+0xad/0xbc [iwlagn]
 [<ffffffffa01c1ca3>] ? __iwl_write32.clone.2+0xad/0xbc [iwlcore]
 [<ffffffffa01ee1de>] iwl_irq_tasklet+0x54b/0x6c5 [iwlagn]
 [<ffffffffa01c11a7>] ? tasklet_schedule+0x1a/0x1c [iwlcore]
 [<ffffffffa01c2657>] ? iwl_isr_ict+0x3c8/0x41f [iwlcore]
 [<ffffffff810560f7>] tasklet_action+0x85/0xe4
 [<ffffffff81057614>] __do_softirq+0xdd/0x1ad
 [<ffffffff81026936>] ? apic_write+0x16/0x18
 [<ffffffff81012eac>] call_softirq+0x1c/0x30
 [<ffffffff810143fb>] do_softirq+0x47/0x8d
 [<ffffffff81057326>] irq_exit+0x44/0x86
 [<ffffffff8141ecd5>] do_IRQ+0xa5/0xbc
 [<ffffffff810126d3>] ret_from_intr+0x0/0x11
 <EOI>  [<ffffffff81205b94>] ? crc32_le+0xae/0xde
 [<ffffffffa00a2957>] ? nilfs_segbuf_fill_in_data_crc+0xe9/0x124 [nilfs2]
 [<ffffffffa00a58f6>] ? nilfs_segctor_do_construct+0x136b/0x19b0 [nilfs2]
 [<ffffffff811ff172>] ? __up_write+0x42/0x47
 [<ffffffff8106af42>] ? up_write+0xe/0x10
 [<ffffffffa009b680>] ? nilfs_bmap_test_and_clear_dirty+0x36/0x44 [nilfs2]
 [<ffffffffa00a6117>] ? nilfs_segctor_construct+0x41/0x96 [nilfs2]
 [<ffffffffa00a69e8>] ? nilfs_segctor_thread+0x19d/0x33a [nilfs2]
 [<ffffffff814195ad>] ? thread_return+0x4e/0xc3
 [<ffffffff81067b03>] ? autoremove_wake_function+0x0/0x39
 [<ffffffffa00a67d8>] ? nilfs_construction_timeout+0x0/0x10 [nilfs2]
 [<ffffffffa00a684b>] ? nilfs_segctor_thread+0x0/0x33a [nilfs2]
 [<ffffffff81067781>] ? kthread+0x91/0x99
 [<ffffffff81012daa>] ? child_rip+0xa/0x20
 [<ffffffff810676f0>] ? kthread+0x0/0x99
 [<ffffffff81012da0>] ? child_rip+0x0/0x20
---[ end trace 742720df09a6b58f ]---
Comment 20 Stanislaw Gruszka 2010-01-05 02:58:38 EST
(In reply to comment #19)
> I think I got a similar issue with 2.6.31.6-162. Which kernel has this fix?
Don't know if it is fixed.

> I didn't see any "failed to remove key" messages.
> 
> Linux xavier 2.6.31.6-162.fc12.x86_64 #1 SMP Fri Dec 4 00:06:26 EST 2009 x86_64
> x86_64 x86_64 GNU/Linux
> 
> 
> ------------[ cut here ]------------
> WARNING: at drivers/net/wireless/iwlwifi/iwl-tx.c:1111

According to this calltrace problem duplicate of 
https://bugzilla.redhat.com/show_bug.cgi?id=523075

James, could you please comment there with additional info (hardware type, network type, steps to reproduce). Thanks.
Comment 21 Bug Zapper 2010-04-27 10:29:42 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 22 Bug Zapper 2010-06-28 08:41:12 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 23 Slawek Gawlowski 2011-04-19 22:53:30 EDT
I have the same situation on Fedora 14 64 bit 
my WiFi is dieing after a few minutes and i have to restart NetworkManager, unload and load module and reconnect to network 
 [ 6289.516227] iwlagn 0000:03:00.0: Microcode SW error detected.  Restarting 0x2000000.
[ 6289.516231] iwlagn 0000:03:00.0: Loaded firmware version: 8.24.2.12
[ 6289.516245] iwlagn 0000:03:00.0: Start IWL Error Log Dump:
[ 6289.516248] iwlagn 0000:03:00.0: Status: 0x000212E4, count: 5
[ 6289.516377] iwlagn 0000:03:00.0: Desc                               Time       data1      data2      line
[ 6289.516381] iwlagn 0000:03:00.0: SYSASSERT                    (#05) 1702383438 0x0000008C 0x0000007C 140
[ 6289.516383] iwlagn 0000:03:00.0: pc      blink1  blink2  ilink1  ilink2  hcmd
[ 6289.516386] iwlagn 0000:03:00.0: 0x1F650 0x1F790 0x1F790 0x008B2 0x00000 0x4AB0010
[ 6289.516388] iwlagn 0000:03:00.0: CSR values:
[ 6289.516390] iwlagn 0000:03:00.0: (2nd byte of CSR_INT_COALESCING is CSR_INT_PERIODIC_REG)
[ 6289.516396] iwlagn 0000:03:00.0:        CSR_HW_IF_CONFIG_REG: 0X00480303
[ 6289.516402] iwlagn 0000:03:00.0:          CSR_INT_COALESCING: 0X0000ff40
[ 6289.516407] iwlagn 0000:03:00.0:                     CSR_INT: 0X00000000
[ 6289.516412] iwlagn 0000:03:00.0:                CSR_INT_MASK: 0X00000000
[ 6289.516417] iwlagn 0000:03:00.0:           CSR_FH_INT_STATUS: 0X00000000
[ 6289.516422] iwlagn 0000:03:00.0:                 CSR_GPIO_IN: 0X00000000
[ 6289.516428] iwlagn 0000:03:00.0:                   CSR_RESET: 0X00000000
[ 6289.516433] iwlagn 0000:03:00.0:                CSR_GP_CNTRL: 0X080403c5
[ 6289.516438] iwlagn 0000:03:00.0:                  CSR_HW_REV: 0X00000054
[ 6289.516444] iwlagn 0000:03:00.0:              CSR_EEPROM_REG: 0X00000000
[ 6289.516449] iwlagn 0000:03:00.0:               CSR_EEPROM_GP: 0X90000004
[ 6289.516454] iwlagn 0000:03:00.0:              CSR_OTP_GP_REG: 0X00060000
[ 6289.516459] iwlagn 0000:03:00.0:                 CSR_GIO_REG: 0X00080046
[ 6289.516465] iwlagn 0000:03:00.0:            CSR_GP_UCODE_REG: 0X0000bd70
[ 6289.516470] iwlagn 0000:03:00.0:           CSR_GP_DRIVER_REG: 0X00000000
[ 6289.516475] iwlagn 0000:03:00.0:           CSR_UCODE_DRV_GP1: 0X00000000
[ 6289.516480] iwlagn 0000:03:00.0:           CSR_UCODE_DRV_GP2: 0X00000000
[ 6289.516485] iwlagn 0000:03:00.0:                 CSR_LED_REG: 0X00000058
[ 6289.516490] iwlagn 0000:03:00.0:        CSR_DRAM_INT_TBL_REG: 0X880ffffe
[ 6289.516496] iwlagn 0000:03:00.0:        CSR_GIO_CHICKEN_BITS: 0X27800200
[ 6289.516501] iwlagn 0000:03:00.0:             CSR_ANA_PLL_CFG: 0X00880300
[ 6289.516509] iwlagn 0000:03:00.0:           CSR_HW_REV_WA_REG: 0X0001001a
[ 6289.516515] iwlagn 0000:03:00.0:        CSR_DBG_HPET_MEM_REG: 0Xffff0000
[ 6289.516518] iwlagn 0000:03:00.0: FH register values:
[ 6289.516531] iwlagn 0000:03:00.0:         FH_RSCSR_CHNL0_STTS_WPTR_REG: 0X0fff6e00
[ 6289.516543] iwlagn 0000:03:00.0:        FH_RSCSR_CHNL0_RBDCB_BASE_REG: 0X00fff6f0
[ 6289.516556] iwlagn 0000:03:00.0:                  FH_RSCSR_CHNL0_WPTR: 0X000000a0
[ 6289.516568] iwlagn 0000:03:00.0:         FH_MEM_RCSR_CHNL0_CONFIG_REG: 0X80819104
[ 6289.516581] iwlagn 0000:03:00.0:          FH_MEM_RSSR_SHARED_CTRL_REG: 0X000000fc
[ 6289.516593] iwlagn 0000:03:00.0:            FH_MEM_RSSR_RX_STATUS_REG: 0X07030000
[ 6289.516605] iwlagn 0000:03:00.0:    FH_MEM_RSSR_RX_ENABLE_ERR_IRQ2DRV: 0X00000000
[ 6289.516618] iwlagn 0000:03:00.0:                FH_TSSR_TX_STATUS_REG: 0X07ff0001
[ 6289.516632] iwlagn 0000:03:00.0:                 FH_TSSR_TX_ERROR_REG: 0X00000000
[ 6289.516680] iwlagn 0000:03:00.0: Start IWL Event Log Dump: display last 20 entries
[ 6289.516697] iwlagn 0000:03:00.0: EVT_LOGT:0179700020:0x00000010:0484
[ 6289.516707] iwlagn 0000:03:00.0: EVT_LOGT:0179700025:0x00000015:0484
[ 6289.516717] iwlagn 0000:03:00.0: EVT_LOGT:0179700030:0x00000016:0484
[ 6289.516727] iwlagn 0000:03:00.0: EVT_LOGT:0179700035:0x00000017:0484
[ 6289.516737] iwlagn 0000:03:00.0: EVT_LOGT:0179700039:0x00000018:0484
[ 6289.516746] iwlagn 0000:03:00.0: EVT_LOGT:0179700044:0x00000019:0484
[ 6289.516756] iwlagn 0000:03:00.0: EVT_LOGT:0179700049:0x0000018d:1108
[ 6289.516766] iwlagn 0000:03:00.0: EVT_LOGT:0179700049:0x00000024:1108
[ 6289.516776] iwlagn 0000:03:00.0: EVT_LOGT:0179700050:0x00000001:1108
[ 6289.516786] iwlagn 0000:03:00.0: EVT_LOGT:0179700050:0x00000033:1108
[ 6289.516796] iwlagn 0000:03:00.0: EVT_LOGT:0179700055:0x0000007c:0461
[ 6289.516806] iwlagn 0000:03:00.0: EVT_LOGT:0179700057:0x0000007c:0461
[ 6289.516825] iwlagn 0000:03:00.0: EVT_LOGT:0179777961:0x44aa0072:0401
[ 6289.516835] iwlagn 0000:03:00.0: EVT_LOGT:0179777967:0x00000008:0600
[ 6289.516844] iwlagn 0000:03:00.0: EVT_LOGT:0179777972:0x00000000:0475
[ 6289.516854] iwlagn 0000:03:00.0: EVT_LOGT:0179777973:0x0000000a:0451
[ 6289.516864] iwlagn 0000:03:00.0: EVT_LOGT:0179777975:0x0000000a:0451
[ 6289.516874] iwlagn 0000:03:00.0: EVT_LOGT:0179781576:0x04ab0010:0401
[ 6289.516885] iwlagn 0000:03:00.0: EVT_LOGT:0179781578:0x0000007c:0451
[ 6289.516895] iwlagn 0000:03:00.0: EVT_LOGT:0179781585:0x00000000:0125
[ 6289.516906] iwlagn 0000:03:00.0: Command REPLY_RXON failed: FW Error
[ 6289.516909] iwlagn 0000:03:00.0: Error clearing ASSOC_MSK (-5)
Comment 24 Stanislaw Gruszka 2011-04-20 02:43:47 EDT
You may try upstream driver using compat-wireless layer:
http://people.redhat.com/sgruszka/compact_wireless.html

Note You need to log in before you can comment on or make changes to this bug.